
CoCoA-5 - Bug #1320

CoCoA-5 manual:  incorrect empty line in syntax box (in PDF file)

25 Sep 2019 15:49 - John Abbott

Status: New Start date: 25 Sep 2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.35 hour

Description

In the PDF version there are "unhappy" empty lines at the end of some boxes around the "syntax" of some commands.

Correct this.

Related issues:

Related to CoCoA-5 - Bug #168: Type info in CoCoA-5 manual Closed 25 May 2012

Related to CoCoA-5 - Bug #1408: CoCoAManual - tex: error if syntax is missing Closed 03 Feb 2020

History

#1 - 25 Sep 2019 15:50 - John Abbott

This seems to be related to commands which return no result, or which have extra "descriptions" inside the syntax part.

#2 - 01 Oct 2019 14:46 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#3 - 10 Oct 2019 17:38 - Anna Maria Bigatti

- Related to Bug #168: Type info in CoCoA-5 manual added

#4 - 03 Feb 2020 11:37 - Anna Maria Bigatti

- Related to Bug #1408: CoCoAManual - tex: error if syntax is missing added

#5 - 04 Nov 2021 23:16 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

This is still a problem, but not so common.

We should identify some cases where it occurs, and study those:

print

PrintBettiDiagram

PrintBettiMatrix

PrintBettiNumbers

PrintLn

QQ

quit

 

A first guess is that the extra line appears when there is no return type specified.
